Resync Service Mesh

Resync Service Mesh
Resync the service mesh with any changes in local or remote compute profiles

Resync the service mesh with any changes in local or remote compute profiles

Request
URI
POST
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/resync
COPY
Path Parameters
string
serviceMeshId
Required

Service Mesh ID

Query Parameters
string
method
Optional
Constraints: default: legacy

method parameter

boolean
encryptionlessTunnelSwitchMode
Optional

Confirm Encryptionless Tunnel


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

409

Conflict

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


422

Unprocessable Entity

Returns serviceMeshPostResponse of type(s) application/json
"serviceMeshPostResponse Object"
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/resync